;----------------------------------------------------------------------------
;    MODULE NAME:   REPLSTR.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.2  $
;          $Date:   05 Apr 1999 19:06:16  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/REPLSTR.X_V  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "REPLSTR.XH".
;
;                   Compile with "ppwizard REPLSTR.X /rexx"
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/REPLSTR.X_V   1.2   05 Apr 1999 19:06:16   Dennis_Bareis  $
 */

/*--- Include Search & Replace Header file ----------------------------------*/
#define REPLSTR_COUNTER_NAME           MyCounter    ;;Specify counter name
#define REPLSTRI_COUNTER_NAME                       ;;No counter wanted
#define REPLSTRI_REFERENCE_NAME        BeforeRefVar ;;Name of variable that holds self reference ("{*}")
#define INCL_REPLSTR_CASE_INSENSITIVE               ;;Want case insensitive compare code
#include "ReplStr.XH"

/*--- Perform simple replacements (don't count # changes) -------------------*/
TheString = "$A$B$C$D$E";
say 'BEFORE1: "' || TheString || '"';
TheString = ReplaceString(TheString, "$A", "$A$A");   /* Not that this IS valid! */
say 'MIDDLE1: "' || TheString || '"';
TheString = ReplaceString(TheString, "$B", "");       /* Remove all "$B" strings */
say 'AFTER1 : "' || TheString || '"';
say '';

/*--- Perform replacements (count # changes) --------------------------------*/
TheString = "$A$B$C$D$E";
MyCounter = 0;                                         /* Initialize Counter */
say 'BEFORE2: "' || TheString || '"';
TheString = ReplaceString(TheString, "$A", "$A$A");
say 'MIDDLE2: "' || TheString || '"';
TheString = ReplaceString(TheString, "$B", "");
say 'AFTER2 : "' || TheString || '" (' || MyCounter || ' changes).';


/*--- Try case insensitive changes ------------------------------------------*/
say '';
say 'Trying case insensitive replaces';
say '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~';
Before = 'aAaAbBbB';
After  = ReplaceStringCi(Before, 'a', '#');
say 'BEFORE = ' || Before;
say 'AFTER1 = ' || After;
After  = ReplaceStringCi(Before, 'A', '({*})');
say 'AFTER2 = ' || After;


/*--- Thats all Folks! ------------------------------------------------------*/
exit(255);
